### test/ebdic-mypaedia.rb -- unit test for ebdic module, using MYPAEDIA

require 'runit/testcase'

$stdout.sync = true

class EBDicMypaediaTest <RUNIT::TestCase
  def setup
    @ebdic = EBDic.new("/opt/epwing/mypaedia", "MYPAEDIA")
  end

  def test_search_failure
    assert(@ebdic.search("ۤ").empty?)
    assert(@ebdic.search("\001\001").empty?)
  end

  def test_search_success1
    assert_equal("", @ebdic.search("碌").join("/"))
  end

  def test_search_success2
    assert_equal("饹/Maria Callas/饹//ɽ",
		 @ebdic.search("餹").join("/"))
  end

  def test_search_success3
    assert_equal("衼å/Europe",
		 @ebdic.search("衼ä").join("/"))
  end

  def test_search_success4
    assert_equal("ޥ/Maquis/ޥ///",
		 @ebdic.search("ޤ").join("/"))
  end

  def test_search_success5
    assert_equal("Ρ٥", @ebdic.search("Ρ٤뤷礦").join("/"))
  end

  def test_search_success6
    assert_equal("/", @ebdic.search("").join("/"))
  end

  def tear_down
  end
end

if __FILE__ == $0
  load 'rskkserv.conf'
  load 'skkserv/ebdic.rb'
  Logger::level = Logger::NOLOG

  require 'runit/cui/testrunner'
  RUNIT::CUI::TestRunner.run(EBDicMypaediaTest.suite)
end

# test/ebdic-mypaedia.rb ends here
